// JScript 文件

//选择产品类型,设置产品类型价格
function chooseTheFlowers(obj,buyColors,BuyFlower,myprice,cname,mt)
{

   var price=0;
   $('BuyNum').options.length = 0; 
   if(obj>='shr1'|| obj<='shr90' ){
		Price=myprice;
  
   }

   

   if(obj=='shr180'){
		for(var i=0; i<11;i++)
		{
			var varItem = new Option(i+'寸',i);
			$('BuyNum').options.add(varItem);
			i++
		}	
		$('BuyObj').value='dankao';

   }else{
		for(var i=-5; i<16;i++)
		{
			var varItem = new Option(i+'枝',i);
			$('BuyNum').options.add(varItem);
		}

		//$('BuyNum').options[5].selectedIndex
		$('BuyNum').options[5].selected = true;			
		$('BuyObj').value='flower';
		
		
   }
   

   //设置产品类型价格
   $('BuyPrice').value=Price;
   //选中产品类型
       
     for(var i=1;i<3;i++){
	  $('colors'+i).className='';
   }
    $(buyColors).className='current';
   
  
         $(buyColors).className='current';
 
	$('BuyFlower1').innerHTML="名称："+BuyFlower;
 
	//$('BuyFlower').innerHTML=BuyFlower;	

	$('baseName').value=BuyFlower;
	//$('SumMoney').style.display='none';
}
//选择产品类型,设置产品类型价格
function chooseBuyNum()
{
	
	var catrNum=0;
	var catrSum=0;
	var catrPrice=0;
	var catrBasePrice=0;
	catrPrice=$('BuyPrice').value

	catrBasePrice=$('BasePrice').value
	if(catrPrice==''){
		alert('请选择需要添加的材料');
		$('BuyNum').options[5].selected = true;
		return;
	}
	
	catrNum=$('BuyNum').options[$('BuyNum').selectedIndex].value;
	//alert(BuySum);
	catrSum=catrPrice*catrNum;	
	//if(catrSum<100){
	if((parseInt(catrBasePrice)+catrPrice*catrNum)<100){	
		alert('花材价格,不能低于100元');
		$('BuyNum').options[5].selected = true;
		$('SumMoney').style.display='none';
		return;
	}

	$('SumMoney').style.display='';
	$('SumMoney').innerHTML='<strong>小计：</strong><em >￥'+catrSum+'</em>';
	
}

function SwitchtoSize(cakeSize)
{
	
 
	if($('cakeLayer').value>1){
		alert("多层蛋糕，不能自定义尺寸。");
		return;
	}
	
	var cakeNum=40;
	var catrPrice=0;
	var catrBasePrice=0;
	

	//设置当成点击为选中
	$("colors"+cakeSize).className='cakeSiteCurrent';
	//撤消除当前点击以外的选中状态
	for(var i=0;i<8;i++){
		if(i!=cakeSize){
			$("colors"+i).className='cakeSite';
		}
	}
 
	//蛋糕基础价格
	catrPrice=$('BasePrice').value;
	var cakeMkPrice=$('cakeMkPrice').value;
	cakeNum=Math.round($('cakePrice').value);
	
	//计算当前选中尺寸的价格
	catrBasePrice=Math.round(catrPrice)+cakeNum*cakeSize;
	cakeMkPrice=Math.round(cakeMkPrice)+cakeNum*cakeSize;
	//更新售价为当前选中尺寸的价格

	$('myPrice').innerHTML=''+catrBasePrice+'';
	$('mkPrice').innerHTML='<del>￥'+cakeMkPrice+'</del>';
	$('BuyPrice').value=$('cakePrice').value	
	$('BuyNum').value = cakeSize; 
	$('BuyObj').value='dankao';
	$('baseName').value='蛋糕';
	/*if(catrPrice==''){
		alert('请选择需要添加的材料');
		return;
	}*/
	
/*	catrNum=$('BuyNum').options[$('BuyNum').selectedIndex].value;
	//alert(BuySum);
	catrSum=catrPrice*catrNum;	
	//if(catrSum<100){
	if((parseInt(catrBasePrice)+catrPrice*catrNum)<100){	
		alert('花材价格,不能低于100元');
		$('BuyNum').options[5].selected = true;
		$('SumMoney').style.display='none';
		return;
	}*/
	$('SumMoney').style.display='';
	$('SumMoney').innerHTML='￥'+catrSum+'元';
	
}

